import { OnDestroy, OnInit } from '@angular/core';
import { InputCheckboxComponent } from '@colijnit/corecomponents_v12';
import { TransactionHeaderBaseComponent } from '../../core/base/transaction-header-base.component';
export declare class TransactionHeaderDeliverydateDefinitiveButtonComponent extends TransactionHeaderBaseComponent implements OnInit, OnDestroy {
    checkbox: InputCheckboxComponent;
    big: boolean;
    onlyIcon: boolean;
    showClass(): boolean;
    private _subs;
    ngOnInit(): void;
    ngOnDestroy(): void;
    changeDeliveryDateDefinitive(event: MouseEvent, definitive: boolean): Promise<void>;
}
